Skip to main content
POST
/
users
/
{uid}
/
blockedusers
Block User
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/blockedusers \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "blockedUids": [
    "<string>"
  ]
}
'
{
  "data": {
    "cometchat-uid-4": {
      "success": true,
      "message": "The user with UID cometchat-uid-1 has blocked user with UID cometchat-uid-3 successfully."
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Body

application/json
blockedUids
string[]
required

UIDs of the users to be blocked

Response

200 - application/json

Blocked user

data
object